psa_tls12_prf_key_derivation_s Struct Reference

`#include <crypto_struct.h>`

## Data Fields

uint8_t | left_in_block
uint8_t | block_number
psa_tls12_prf_key_derivation_state_t | state
uint8_t * | secret
size_t | secret_length
uint8_t * | seed
size_t | seed_length
uint8_t * | label
size_t | label_length
uint8_t | Ai [PSA_HASH_MAX_SIZE]
uint8_t | output_block [PSA_HASH_MAX_SIZE]

## Detailed Description

Definition at line 202 of file crypto_struct.h.

## Field Documentation

## Ai

uint8_t psa_tls12_prf_key_derivation_s::Ai[PSA_HASH_MAX_SIZE]

Definition at line 224 of file crypto_struct.h.

## block_number

uint8_t psa_tls12_prf_key_derivation_s::block_number

Definition at line 213 of file crypto_struct.h.

## label

uint8_t* psa_tls12_prf_key_derivation_s::label

Definition at line 221 of file crypto_struct.h.

## label_length

size_t psa_tls12_prf_key_derivation_s::label_length

Definition at line 222 of file crypto_struct.h.

## left_in_block

uint8_t psa_tls12_prf_key_derivation_s::left_in_block

Definition at line 210 of file crypto_struct.h.

## output_block

uint8_t psa_tls12_prf_key_derivation_s::output_block[PSA_HASH_MAX_SIZE]

Definition at line 227 of file crypto_struct.h.

## secret

uint8_t* psa_tls12_prf_key_derivation_s::secret

Definition at line 217 of file crypto_struct.h.

## secret_length

size_t psa_tls12_prf_key_derivation_s::secret_length

Definition at line 218 of file crypto_struct.h.

## seed

uint8_t* psa_tls12_prf_key_derivation_s::seed

Definition at line 219 of file crypto_struct.h.

## seed_length

size_t psa_tls12_prf_key_derivation_s::seed_length

Definition at line 220 of file crypto_struct.h.

## state

psa_tls12_prf_key_derivation_state_t psa_tls12_prf_key_derivation_s::state

Definition at line 215 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h